@echo off


set PROJECT=perceptuum2
set BORLAND_HOME=C:\h\Borland\Bcc55
set BORLAND_BIN=%BORLAND_HOME%\bin
set OBJS_DIR=output
set INC_DIRS=%BORLAND_HOME%\include;libs
set SOURCE_DIR=source
set COMPILE_OPTIONS=-pr -k- -5 -O2 -OS -Oc -Oi -Ov -v- -H- -w -tWM -DWINVER=0x0400 -D_WIN32_WINNT=0x0400 -DBORLANDCPP551 -DLOGGING_ENABLED=true



rem --- get package and file from cmd line ---
set PACKAGE=source
if not "%1"==""	(
	for /D /R source %%d in (*%1) do set PACKAGE=%%~fd
)
set FILE=%2



rem --- make the include list ---
for /R %SOURCE_DIR% %%i in (.) do set INC_DIRS=!INC_DIRS!;%%~fi
set INC_DIRS=-I"%INC_DIRS%"
echo %INC_DIRS% > %PROJECT%.include.lst


rem -- compile c++ --
%BORLAND_BIN%\BCC32 -S -c -n%OBJS_DIR% @%PROJECT%.include.lst %COMPILE_OPTIONS% %PACKAGE%\%FILE%.cpp



rem --- clean temp files ---
del /Q %PROJECT%.include.lst
del /Q %PROJECT%.tds %PROJECT%.map
