/*--------------------------------------------------------------------

   Perceptuum renderer, version 2.1
   Copyright (c) 2002-2003,  Harrison Ainsworth.

   www.hxa7241.org

--------------------------------------------------------------------*/

/*--------------------------------------------------------------------

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307, USA

--------------------------------------------------------------------*/


#ifndef hxa7241_graphics_p
#define hxa7241_graphics_p




namespace hxa7241
{
	namespace graphics
	{
		class CieXyz;
		class ClipCoords;
		class ClipFlags;
		class Matrix3f;
		class Matrix4f;
		//template<class T> class Octree;
		//template<class T> class OctreeVisitorT;
		class Quaternion;
		class Transclip;
		class Transform;
		class Transplace;
		class UnitVector3f;
		//template<class T> class Vector2;
		class Vector3f;
		class Vector4f;
		class XyzE;
	}
}




#endif//hxa7241_graphics_p
